# s-i18n-react

s-i18n-react is a simple yet very smart internationalization library, meant
to make your life as easy as possible when it comes about translating your
React application.

[![Travis CI][travis-ci-image] ][travis-ci-url]
[![Code Climate](https://codeclimate.com/github/codeclimate/codeclimate/badges/gpa.svg)](https://codeclimate.com/github/s-i18n/s-i18n-react)
[![Coverage Status](https://coveralls.io/repos/github/s-i18n/s-i18n-react/badge.svg?t=2)](https://coveralls.io/github/s-i18n/s-i18n-react)
[![Quality][quality-badge] ][quality-url]
[![dependencies][dependencies-image] ][dependencies-url]
[![devdependencies][devdependencies-image] ][devdependencies-url]

[npm-icon]: https://nodei.co/npm/s-i18n-react.png?downloads=true
[npm-url]: https://npmjs.org/package/s-i18n-react
[travis-ci-image]: https://travis-ci.org/s-i18n/s-i18n-react.svg?branch=master
[travis-ci-url]: https://travis-ci.org/s-i18n/s-i18n-react

[dependencies-image]: https://david-dm.org/s-i18n/s-i18n-react.png
[dependencies-url]: https://david-dm.org/s-i18n/s-i18n-react
[devdependencies-image]: https://david-dm.org/s-i18n/s-i18n-react/dev-status.png
[devdependencies-url]: https://david-dm.org/s-i18n/s-i18n-react#info=devDependencies

[quality-badge]: http://npm.packagequality.com/shield/s-i18n-react.svg
[quality-url]: http://packagequality.com/#?package=s-i18n-react

## Warning

This is still a beta package, it may changes a *lot* in the coming days.

## General Concept

s-i18n-react is different from other js i18n library, as it was built with these
objectives in mind :

1. feel as natural as possible for developpers coding the application.

You write full sentences instead of using `some.namespaced.keywords`

2. be as simple as possible for translators

No nesting, no cryptic keywords, just plain ol' sentences to translate

3. be as helpful as possible when it comes to maintain your app translations

An extraction utility is here to scan your code and generate your files. You just have to translate them!

## Documentation

Checkout the [documentation](docs/README.md) for a complete guide on how to use `s-i18n-react`

## Aknowlegment

This work was inspired by the [i18n module of the Yii framework](http://www.yiiframework.com/doc-2.0/guide-tutorial-i18n.html).